xvidenc(1)

NAME
xvidenc - the interactive shell script ripper

SYNOPSIS
xvidenc [-1p|-2p|-fq|-b|-e|-r|-sc|-scan|-iso|-spr|-bpp|-bpb|-v|-help] [-p <preset>]

DESCRIPTION
xvidenc is an advanced and powerful interactive menu-driven shell script which uses the encoding utility MEncoder from the MPlayer project. The script can be used to encode DVDs, (S)VCDs or regular video files to the open source Xvid MPEG-4 SP/ASP codec. At the moment, the script supports all options of the Xvid library version 1.1.x. xvidenc is targeted primarily at power users or users who understand the process of video encoding and want to tweak their settings in order to achieve the best possible quality/file size of their encodes. As of version 5.2, the xvidenc package includes Inter and Intra quantization matrices which can be found in the 'doc' directory of xvidenc. For more information and a FAQ, visit http://xvidenc.sourceforge.net

xvidenc uses a configuration file stored in the user's home directory inside a hidden directory named as .xvidenc where the user can enable or disable many of the supported audio/video filters and containers. This can reduce the time it takes to pass through the script when the user disables filters and/or containers he never intends to use. Further, the configuration file stores the paths to the required programs and a few other things like some script options, MPlayer flags and email support.

REQUIREMENTS
- MPlayer/MEncoder >= 1.0rc2 compiled with Xvid support (SVN highly recommended)
- Xvid 1.1.x / Xvid 1.2.x
- lsdvd
- LAME (for MP3 audio encoding)
- FAAC (for AAC audio encoding)
- dvdxchap from ogmtools (for DVD chapters export)
- neroAacEnc (for AAC/AAC+ audio encoding)
- aacplusenc (for AAC+ audio encoding)
- oggenc (for Vorbis audio encoding)
- flac (for FLAC audio encoding)
- mkvmerge from mkvtoolnix (for AVI -> MKV container conversion)
- MP4Box from gpac (for AVI -> MP4 container conversion)
- ogmmerge from ogmtools (for AVI -> OGM container conversion)

PARAMETERS

-1p Encode in 1-pass mode

-2p Encode in 2-pass mode

-fq Encode in fixed-quant mode (constant quality)

<passmode> -p <preset>
    Use a predefined Xvid quality preset, where <passmode> is the desired encoding mode (-1p or -2p or -fq) and <preset> is the desired quality preset to use (see below).
    You can choose from 18 different presets:

    cp -------> Load a custom preset file (see example below)
        ulq ------> Ultra Low Quality (ULQ) preset
        elq ------> Extreme Low Quality (ELQ) preset
        vlq ------> Very Low Quality (VLQ) preset
        lq -------> Low Quality (LQ) preset
        mq -------> Medium Quality (MQ) preset
        nq -------> Normal Quality (NQ) preset
        hq -------> High Quality (HQ) preset
        vhq ------> Very High Quality (VHQ) preset (recommended)
        ehq ------> Extreme High Quality (EHQ) preset (recommended)
        uhq ------> Ultra High Quality (UHQ) preset (recommended)
        nlq ------> Near Lossless Quality (NLQ) preset (only in -fq mode)
        ipod -----> Apple iPod preset
        ani ------> Anime (ANI) preset
        anihq ----> Anime High Quality (ANIHQ) preset
        hwsdpal --> Stand-alone HW compatible SD (HWSDPAL) preset (PAL/SECAM)
        hwsdntsc -> Stand-alone HW compatible SD (HWSDNTSC) preset (NTSC)
        hwhdpal --> Stand-alone HW compatible HD (HWHDPAL) preset (PAL/SECAM)
        hwhdntsc -> Stand-alone HW compatible HD (HWHDNTSC) preset (NTSC)

    Example of presets usage: xvidenc -2p -p vhq
        The above example will encode the DVD or input video file in 2-pass mode using the Very High Quality (VHQ) preset Load a custom preset from a file:
        xvidenc -2p -p cp /path/to/file/preset.cfg Please have a look at the preset.cfg file inside the xvidenc package to give you an example on how to write a custom preset. The preset.cfg file is usually located inside the doc directory of the xvidenc package.

-b <path/to/file/batchfile>
    Load a batch file generated by this script. This option can be useful for testing or debugging the MEncoder parameters and for batch encoding.

-e  Edit the config file from within the terminal. This option defaults to using the 'nano' text editor but one can manually set his preferred editor in the EDITOR variable of the config file. The config file is located in '/home/username/.xvidenc'

-r  Reset configuration file. As of version 7.9.5, xvidenc uses a configuration file which contains the paths to the programs needed for its correct operation. This option tells the script to remove and recreate the config file using the default values. It can be used to restore the original values of the config file in case the user has modified it and wants to get rid of those modifications. It is also used for resetting the config file in case the user has installed a required program after xvidenc has generated its config file. If this is the case, the config file will not contain the path to the newly installed program so one has to reset the file in order to find it. This is because the config file is generated/updated only once: if it's not available on the user's system and during config version updates. The configuration file is located in /home/username/.xvidenc/config

-sc Perform a sanity check. This will check for the programs which are required for the correct operation of this script and it will print the status in a list. It will also display which audio codecs are supported by MEncoder.

-scan
    Scan the DVD disc/video file and display extensive information about it. With this option, one can display or export the information to a file on disk in text, perl, python, ruby or xml format - only for DVD scans

-iso
    Create an ISO image of the DVD disc. Note that this option does not do any stripping of titles, audio languages and/or subtitles. It dumps the DVD content 1:1 to an ISO image.

-spr
    Calculate the Storage and Pixel Aspect Ratios (SAR/PAR) for various resolutions.

-bpp
    This is a informative option which lets you calculate the Bits Per Pixel (bpp) values for various resolutions. The bpp value represents how much bits each pixel gets. The higher the bpp value is, the more distinct colors the pixels will have which leads to a higher overall picture quality. Note that these values are not absolute! For video content with a lot of black in it, a bpp value of 0.14 may look very good. Video content with a lot of high motion scenes may still look bad with a bpp value of 0.20, so this really depends on the content you are willing to encode and the resolution you choose when scaling down.

-bpb
    This option is similar to the -bpp one, except it calculates the Bits Per Block (bpb) values for various resolutions. The bpb value expresses how many bits each 16x16 macroblock gets. Good bpb values are between 37-52. As is the case with Bits Per Pixel, the bpb values are not absolute and depend on the video content you are willing to encode and the resolution you choose when scaling down.

-help
    Display built-in help of the xvidenc script and exit

-v  Display version of the xvidenc script and exit

SEE ALSO
mencoder(1), lsdvd(1), dvdxchap(1), lame(1), oggenc(1), flac(1), mkvmerge(1), mp4box(1), ogmmerge(1)

AUTHORS
xvidenc was written by Grozdan Nikolov <neutrino8@gmail.com>

This manual page was written by the author of xvidenc

BUG REPORTS
Please send all bug reports and/or questions/suggestions to <neutrino8@gmail.com>

WWW
http://xvidenc.sourceforge.net